Subject: bug#3863: 23.1.50; possible save-match-data in copyright.el

From: martin rudalics <[email-masked]>
Date: Fri, 17 Jul 2009 09:57:33 +0200

> If you think y-or-n-p deserves saving the match-data then pretty much
 > all other functions deserve that change as well.  And since
 > save-match-data is somewhat costly, it would imply a singificant
 > performance impact.

You're obviously right and I meanwhile also learned to share your
earlier reservations wrt `looking-at-p' and `string-match-p'.  However,
the underlying problem deserves a profound explanation in the Elisp
manual in oder to avoid such discussions in the future.  So please,
pretty please, write one.

martin